PRAGMA foreign_keys = true;

CREATE TABLE instances (
  -- PK will be rowid
    domain TEXT UNIQUE
  , slogan TEXT
  , description TEXT
  , languages TEXT
  , open INT -- BOOLEAN
  , version TEXT
  , location TEXT  -- from IP
  , failure INTEGER
  , createdAt INTEGER  -- second since epoch
  , updatedAt INTEGER  -- second since epoch
)  strict;

create table stats (
    insertedAt INTEGER
  , instance_id INTEGER  -- rowid of instance
  , users INTEGER
  , local_groups INTEGER
  , total_groups INTEGER
  , local_events INTEGER
  , total_events INTEGER
  , local_comments INTEGER
  , total_comments INTEGER
  , following INTEGER
  , followers INTEGER
  -- PK, would have been (instance_id, date)
  -- to spare index, we declare no PK
) strict;
