
# features

* register
* list
* filter
* stats panel
* stats collector
  * failure counter


# MVP

- [ ] homepage
  - [ ] form to register an instance
    - [ ] check for duplicates
    - [ ] grab first stats : version, users, groups, events
      - [ ] if fail, set failure to 1
      - [ ] confirmation page
  - [ ] instances list, no pagination
  - [ ] abuse link
- [ ] cron
  - [ ] select instances where failure < max_failure
  - [ ] for each entry, fetch stats
      - [ ] if fail, set failure to failure+1
      - [ ] if success, set failure = 0
- [ ] stats page
  - [ ] instances over time area chart
  - [ ] users over time area chart
  - [ ] events over time area chart
  - [ ] groups over time area chart
  - [ ] versions pie chart
  - [ ] languages pie chart (user weighted ?)
  - [ ] location pie chart


# impl

## stack

1) sqlpage

* webapp: sqlpage
* cron : ?

2) python web framework

django / flask / microdot / webpy


